Bug 310715 - Inserted images can't be moved after closing the document.
Summary: Inserted images can't be moved after closing the document.
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: general (show other bugs)
Version: 2.5.4
Platform: Chakra Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-26 16:08 UTC by Giuseppe Calà
Modified: 2013-01-13 05:08 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giuseppe Calà 2012-11-26 16:08:47 UTC
On a two page document, in the 2nd page (remember this) I've inserted an image (with "Add Shape" tool), adjusted some property, like size, margin and saved/closed the document, when reopening it I notice two bug:

* an empty square area (like it was a placeholder for the image) in the first paragraph of the _first page_
* the image I used is in place, but I can't move it. If I click on it, the right panel shows the image editor tool. Double clicking the image opens dialog to change image, but also new image can be moved.

Here a sample document:
http://dl.dropbox.com/u/9472154/doc_with_image.odt

Reproducible: Always

Steps to Reproduce:
1. insert an image
2. save and close the document
3. open it again
Actual Results:  
* image can't be moved
* an empty square area (as it contains an image) appears in the first paragraph of the first page

Expected Results:  
original image should be moveable
Comment 1 Camilla Boemann 2013-01-13 05:06:38 UTC
Git commit 3b6b1973f182109e89fc1d40437bb1223c0c6e73 by C. Boemann.
Committed on 12/01/2013 at 05:22.
Pushed by boemann into branch 'master'.

Shape moving restrictions based on anchor properties.

This is the page anchors equivalent of the char and paragraph anchors code we
already have.

This makes a difference both on initial layout (nice improvements)
and on interactive moving of page anchored shapes.

This commit also fixes the default anchoring properties to be the same as in LO.

This commit also fixes it so the page anchored iages doesn't leave empty rects on
page 1 after reload
Related: bug 312193, bug 312982
REVIEW: 108358

M  +10   -1    libs/kotext/KoTextAnchor.cpp
M  +10   -6    plugins/defaultTools/defaulttool/ShapeMoveStrategy.cpp
M  +1    -0    plugins/defaultTools/defaulttool/ShapeMoveStrategy.h
M  +4    -0    words/part/KWCanvasBase.cpp
M  +12   -2    words/part/KWRootAreaProvider.cpp
M  +81   -1    words/part/frames/KWFrameLayout.cpp
M  +2    -0    words/part/frames/KWFrameLayout.h

http://commits.kde.org/calligra/3b6b1973f182109e89fc1d40437bb1223c0c6e73
Comment 2 Camilla Boemann 2013-01-13 05:08:06 UTC
Git commit 2b0ea66ee4d671e3da24776e3228e429d3c8c43c by C. Boemann.
Committed on 12/01/2013 at 05:22.
Pushed by boemann into branch 'calligra/2.6'.

Shape moving restrictions based on anchor properties.

This is the page anchors equivalent of the char and paragraph anchors code we
already have.

This makes a difference both on initial layout (nice improvements)
and on interactive moving of page anchored shapes.

This commit also fixes the default anchoring properties to be the same as in LO.

This commit also fixes it so the page anchored iages doesn't leave empty rects on
page 1 after reload
Related: bug 312193, bug 312982
REVIEW: 108358

M  +10   -1    libs/kotext/KoTextAnchor.cpp
M  +10   -6    plugins/defaultTools/defaulttool/ShapeMoveStrategy.cpp
M  +1    -0    plugins/defaultTools/defaulttool/ShapeMoveStrategy.h
M  +4    -0    words/part/KWCanvasBase.cpp
M  +12   -2    words/part/KWRootAreaProvider.cpp
M  +81   -1    words/part/frames/KWFrameLayout.cpp
M  +2    -0    words/part/frames/KWFrameLayout.h

http://commits.kde.org/calligra/2b0ea66ee4d671e3da24776e3228e429d3c8c43c